---     
tags: 
  - Tiles
description: Returns the requested tile in SVG format.  Optional parameters of `scale_min`, `scale_max`, `database`, `start_date` and `end_date` will use safe defaults if not set or invalid options chosen.<br/>Providing dates adjusts the velocity value to recalculate it.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: layer
    type: string
    required: true
    schema:
      example: 'asc'
  - in: path
    name: zoom
    type: integer
    required: true
    schema:
      example: 17    
  - in: path
    name: lon
    type: integer
    required: true
    schema:
      example: 65535      
  - in: path
    name: lat
    type: integer
    required: true
    schema:
      example: 43577    
  - in: query
    name: scale_min
    type: integer
    required: false 
  - in: query
    name: scale_max
    type: integer
    required: false
  - in: query
    name: database
    type: string
    enum: ['uk', 'uk_alt', 'india', 'australia', 'new_zealand']
    required: false
  - in: query
    name: points
    type: boolean
    description: Returns clustered points rather than hexagons.  Only has an effect at zoom 14 and lower.
    enum: ['true']
    required: false
  - in: query
    name: debug
    type: boolean
    description: Adds zoom, lon and lat to the centre of the tile, the DB retrieval speed, and colours red or green based on the retrival speed.
    enum: ['true']
    required: false
  - in: query
    name: size
    type: int
    enum: [1,2,3,4,5]
  - in: query
    name: opacity
    type: int
    enum: [0.5, 0.6, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4, 1.5]
  - in: query
    name: renderer
    type: string
    enum: ['pyvips', 'cairo']
    required: false
  - in: query
    name: start_date
    type: int
    required: false    
  - in: query
    name: end_date
    type: int
    required: false
produces: 
  - 'image/png'
responses:
  200:
    description: Data returned in <strong>image/png</strong> content-type
    content:
      image/png:
        schema:
          type: string  
          format: binary
  401:
    description: User not authorised
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'